Debian Linux up to 9.2 integer coercion

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
10.0$0-$5k0.00

A vulnerability, which was classified as very critical, has been found in Debian Linux up to 9.2 (Operating System). This issue affects some unknown functionality. The manipulation with an unknown input leads to a integer coercion vulnerability. Using CWE to declare the problem leads to CWE-192. Integer coercion refers to a set of flaws pertaining to the type casting, extension, or truncation of primitive data types. Impacted is confidentiality, integrity, and availability. The summary by CVE is:

Multiple integer overflows in xpdf 3.0, and other packages that use xpdf code such as CUPS, allow remote attackers to cause a denial of service (crash) and possibly execute arbitrary code, a different set of vulnerabilities than those identified by CVE-2004-0888.

The weakness was shared 01/27/2005 by Chris Evans (Website). It is possible to read the advisory at gentoo.org. The identification of this vulnerability is CVE-2004-0889. The exploitation is known to be easy. The attack may be initiated remotely. No form of authentication is needed for a successful exploitation. The technical details are unknown and an exploit is not publicly available. The pricing for an exploit might be around USD $0-$5k at the moment (estimation calculated on 07/01/2021).

The vulnerability scanner Nessus provides a plugin with the ID 20614 (Ubuntu 4.10 : xpdf vulnerabilities (USN-2-1)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Ubuntu Local Security Checks.

There is no information about possible countermeasures known. It may be suggested to replace the affected object with an alternative product.

The vulnerability is also documented in the databases at X-Force (17819), Tenable (20614), SecurityFocus (BID 11501†) and Vulnerability Center (SBV-8369†).

Productinfo

Type

Vendor

Name

Version

License

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 10.0
VulDB Meta Temp Score: 10.0

VulDB Base Score: 10.0
VulDB Temp Score: 10.0
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Integer coercion
CWE: CWE-192 / CWE-189
CAPEC: 🔍
ATT&CK: 🔍

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 20614
Nessus Name: Ubuntu 4.10 : xpdf vulnerabilities (USN-2-1)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Port: 🔍

OpenVAS ID: 52322
OpenVAS Name: FreeBSD Ports: gpdf, cups-base
OpenVAS File: 🔍
OpenVAS Family: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: no mitigation known
Status: 🔍

0-Day Time: 🔍

Timelineinfo

09/22/2004 🔍
10/21/2004 +29 days 🔍
10/21/2004 +0 days 🔍
01/27/2005 +98 days 🔍
01/27/2005 +0 days 🔍
06/16/2005 +140 days 🔍
01/15/2006 +213 days 🔍
03/10/2015 +3341 days 🔍
07/01/2021 +2305 days 🔍

Sourcesinfo

Vendor: debian.org

Advisory: gentoo.org
Researcher: Chris Evans
Status: Not defined

CVE: CVE-2004-0889 (🔍)
X-Force: 17819
SecurityFocus: 11501 - Xpdf PDFTOPS Multiple Integer Overflow Vulnerabilities
Vulnerability Center: 8369 - Code Execution in Xpdf <= 3.0 via Integer Overflow, Critical

Entryinfo

Created: 03/10/2015 03:27 PM
Updated: 07/01/2021 11:45 AM
Changes: 03/10/2015 03:27 PM (65), 04/13/2017 12:26 PM (3), 07/01/2021 11:38 AM (2), 07/01/2021 11:45 AM (1)
Complete: 🔍
Cache ID: 100:FE4:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Do you need the next level of professionalism?

Upgrade your account now!